var $imageDiv;
var imageZip = "http://hiperguia.net/gp/index.zip";
$imageDiv = $("#corpo");
document.addEventListener("deviceready", init, false);
function init() {
	var networkState = navigator.connection.type;
	var states = {};
    states[Connection.UNKNOWN]  = 'Unknown connection';
    states[Connection.ETHERNET] = 'Ethernet connection';
    states[Connection.WIFI]     = 'WiFi connection';
    states[Connection.CELL_2G]  = 'Cell 2G connection';
    states[Connection.CELL_3G]  = 'Cell 3G connection';
    states[Connection.CELL_4G]  = 'Cell 4G connection';
    states[Connection.CELL]     = 'Cell generic connection';
    states[Connection.NONE]     = 'No network connection';
    if ((states[networkState]) == states[Connection.NONE]) {
    	//navigator.notification.alert('Ativando modo offline. Aguarde...',null,'Sem Conexão Internet');
    	semConexao();		
    }else if ((states[networkState]) == states[Connection.CELL_2G] || (states[networkState]) == states[Connection.CELL] || (states[networkState]) == states[Connection.UNKNOWN]){
    	netRuim();
    }else if ((states[networkState]) == states[Connection.CELL_3G]) {
    	navigator.notification.alert('Conexão 3G: o carregamento dos dados pode demorar um pouco. Seja paciente :)',null,'Conexão 3G');
    	loadPush();
    	onDados();
	}else{
		loadPush();
    	onDados();
	}
}
function semConexao(){
	displayLocal();
}
function netRuim(){
    displayLocal();
}
function onDados(){
	$.ajax({
		url:imageZip,
		method:"HEAD"
	}).done(function(res,text,jqXHR) {
		var lastMod = jqXHR.getResponseHeader('Last-Modified');
		if(!localStorage.kittenLastMod || localStorage.kittenLastMod != lastMod) {
			navigator.notification.alert('Carregando dados...',null,'Atualização');
			startSync();
			localStorage.kittenLastMod = lastMod;
		} else {
			displayLocal();
		}
	});
}
function loadUrl(newLocation){
  window.location = newLocation;
  return false;
}
function displayLocal() {
	var sync = ContentSync.sync({id: 'kittenZip', type: 'local'});
	sync.on('progress', function(data) {
		$imageDiv.html("<div style='margin-top:20%;font-size:0.875em;text-align:center;font-weight:bold;'>Carregando Dados: "+data.progress + "%<br>Aguarde alguns instantes...</div>");

	});
	sync.on('complete', function(data) {
		var imageUrl = "file://" + localStorage.kittenLocalPath + "/www/corpo.html";
		return loadUrl(imageUrl);
	});
}
function displayIndex() {
		//var sync = ContentSync.sync({id: 'kittenZip', type: 'local'});
	//sync.on('complete', function(data) {
	var imageUrl = "file://" + localStorage.kittenLocalPath + "/www/corpo.html";
	return loadUrl(imageUrl);
//});
}
function startSync() {
	var sync = ContentSync.sync({ src: imageZip, id: 'kittenZip' });
	sync.on('progress', function(data) {
		$imageDiv.html("<div style='margin-top:20%;font-size:0.875em;text-align:center;font-weight:bold;'>Carregando Dados: "+data.progress + "%<br>Desenvolvido por Hiperguia.net<br>www.hiperguia.net</div>");

	});
	
	sync.on('complete', function(data) {
		localStorage.kittenLocalPath = data.localPath;
		displayIndex();
	});
	
	sync.on('error', function(e) {
		document.getElementById('corpo').innerHTML = e;
	    // e.message
	});
	
	sync.on('cancel', function() {
	    // triggered if event is cancelled
	});	
}
function loadPush() {
  	var push = PushNotification.init({ "android": {"senderID": "900000762350","icon": "icon",
        "iconColor": "red"}});
  	var xhr = new XMLHttpRequest();

  	push.on('registration', function(data) {
	    var oldRegId = localStorage.getItem('registrationId');
     	if (oldRegId !== data.registrationId) {
         localStorage.setItem('registrationId', data.registrationId);
	      xhr.open("GET", "http://hiperguia.net/push/disk/registro.php?regId=" + encodeURIComponent(data.registrationId), true);
          xhr.send();
	    }
  	});

  push.on('notification', function(data) {
	  navigator.notification.alert(data.message,null,"DiskComida");
	  });
  push.on('error', function(e) {
  	alert(e);
  });
}